OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_IndexedMapOfAsciiString Class Reference

`#include <Interface_IndexedMapOfAsciiString.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_IndexedMapOfAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT Interface_IndexedMapOfAsciiString & | Assign (const Interface_IndexedMapOfAsciiString &Other)
Interface_IndexedMapOfAsciiString & | operator= (const Interface_IndexedMapOfAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Interface_IndexedMapOfAsciiString ()
Standard_EXPORT Standard_Integer | Add (const TCollection_AsciiString &K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const TCollection_AsciiString &K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const TCollection_AsciiString &K) const
Standard_EXPORT const TCollection_AsciiString & | FindKey (const Standard_Integer I) const
const TCollection_AsciiString & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const TCollection_AsciiString &K) const
## Private Member Functions
Standard_EXPORT | Interface_IndexedMapOfAsciiString (const Interface_IndexedMapOfAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Interface_IndexedMapOfAsciiString::Interface_IndexedMapOfAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

Interface_IndexedMapOfAsciiString::~Interface_IndexedMapOfAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT Interface_IndexedMapOfAsciiString::Interface_IndexedMapOfAsciiString | ( | const Interface_IndexedMapOfAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer Interface_IndexedMapOfAsciiString::Add | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT Interface_IndexedMapOfAsciiString& Interface_IndexedMapOfAsciiString::Assign | ( | const Interface_IndexedMapOfAsciiString & | Other | ) |

Standard_EXPORT void Interface_IndexedMapOfAsciiString::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Interface_IndexedMapOfAsciiString::Contains | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Integer Interface_IndexedMapOfAsciiString::FindIndex | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT const TCollection_AsciiString& Interface_IndexedMapOfAsciiString::FindKey | ( | const Standard_Integer | I | ) | const

void Interface_IndexedMapOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_IndexedMapOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_IndexedMapOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TCollection_AsciiString& Interface_IndexedMapOfAsciiString::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

Interface_IndexedMapOfAsciiString& Interface_IndexedMapOfAsciiString::operator= | ( | const Interface_IndexedMapOfAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void Interface_IndexedMapOfAsciiString::RemoveLast | ( |  | ) |

Standard_EXPORT void Interface_IndexedMapOfAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void Interface_IndexedMapOfAsciiString::Substitute | ( | const Standard_Integer | I,
|  | const TCollection_AsciiString & | K
| ) |

The documentation for this class was generated from the following file:

- Interface_IndexedMapOfAsciiString.hxx